GET /api/auth/salt/
Retrieve the salt used to calculate the password hash on the client.
Auth: not required.
Response 200
Section titled “Response 200”{ "salt": "sFtqKto6hnaURPGQLJOCT1QMx7myDEGLBsCz3a2L"}Response fields
Section titled “Response fields”| Field | Type | Required | Description |
|---|---|---|---|
salt | string | yes | 40-character ASCII string |
salt requirements
Section titled “salt requirements”- Length:
40characters. - Allowed characters:
[A-Za-z0-9]. - The salt is invalidated after every
POST /api/auth/login/attempt, whether successful or not. - A new salt must be requested before every login attempt.